This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 563013 - Review Request: gnome-applet-remmina - GNOME panel applet for Remmina remote desktop client
Review Request: gnome-applet-remmina - GNOME panel applet for Remmina remote ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
: 590901 (view as bug list)
Depends On: 553402
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-08 20:19 EST by Christoph Wickert
Modified: 2010-05-26 17:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-applet-remmina-0.7.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 21:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dmaphy: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-02-08 20:19:16 EST
Spec URL: http://cwickert.fedorapeople.org/review/gnome-applet-remmina.spec
SRPM URL: http://cwickert.fedorapeople.org/review/gnome-applet-remmina-0.7.1-1.fc13.src.rpm
Description: Remmina is a remote desktop client written in GTK+, aiming to be useful for system administrators and travelers, who need to work with lots of remote computers in front of either large monitors or tiny netbooks. Remmina supports multiple network protocols in an integrated and consistent user interface. Currently RDP, VNC, XDMCP and SSH are supported.

This package includes the GNOME panel applet for Remmina.
Comment 1 Naveen Kumar 2010-02-24 02:17:56 EST
Here's an unofficial review, using the Tibbs checklist as reference from: http://fedoraproject.org/wiki/User:Tibbs/Review_Template


- source files do not match upstream: I could not locate specified tarball (in specfile) at upstream location. Hence no checksum test.
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible: license text included in package.
- latest version is being packaged. (The upstream seems to have deleted older version and released newer version of upstream tarball)
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2004538
+ debuginfo package looks complete.
* rpmlint is not silent: output with warnings and no errors: (rpmlint version 0.94)

	rpmlint OUTPUT on gnome-applet-remmina-0.7.1-1.fc13.src.rpm:
gnome-applet-remmina.src: W: spelling-error %description -l en_US travellers -> travelers, traveler, travelogues
gnome-applet-remmina.src: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
gnome-applet-remmina.src: W: invalid-url Source0: http://downloads.sourceforge.net/remmina/remmina-gnome-0.7.1.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

	rpmlint OUTPUT on gnome-applet-remmina-0.7.1-1.fc13.x86_64.rpm:
gnome-applet-remmina.x86_64: W: spelling-error %description -l en_US travellers -> travelers, traveler, travelogues
gnome-applet-remmina.x86_64: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
gnome-applet-remmina.x86_64: W: incoherent-version-in-changelog 0.7.1 ['0.7.1-1.fc13', '0.7.1-1']
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

	rpmlint OUTPUT on gnome-applet-remmina-debuginfo-0.7.1-1.fc13.x86_64.rpm:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:

     rpm -qp --provides OUTPUT on gnome-applet-remmina-0.7.1-1.fc13.x86_64.rpm:
gnome-applet-grdc = 0.7.1
grdc-gnome = 0.7.1
remmina-gnome = 0.7.1
gnome-applet-remmina = 0.7.1-1.fc13
gnome-applet-remmina(x86-64) = 0.7.1-1.fc13

     rpm -qp --requires OUTPUT on gnome-applet-remmina-0.7.1-1.fc13.x86_64.rpm:
gnome-panel  
libORBit-2.so.0()(64bit)  
libart_lgpl_2.so.2()(64bit)  
libatk-1.0.so.0()(64bit)  
libavahi-client.so.3()(64bit)  
libavahi-common.so.3()(64bit)  
libbonobo-2.so.0()(64bit)  
libbonobo-activation.so.4()(64bit)  
libbonoboui-2.so.0()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libcairo.so.2()(64bit)  
libfontconfig.so.1()(64bit)  
libfreetype.so.6()(64bit)  
libgconf-2.so.4()(64bit)  
libgdk-x11-2.0.so.0()(64bit)  
libgdk_pixbuf-2.0.so.0()(64bit)  
libgio-2.0.so.0()(64bit)  
libglib-2.0.so.0()(64bit)  
libgmodule-2.0.so.0()(64bit)  
libgnome-2.so.0()(64bit)  
libgnomecanvas-2.so.0()(64bit)  
libgobject-2.0.so.0()(64bit)  
libgthread-2.0.so.0()(64bit)  
libgtk-x11-2.0.so.0()(64bit)  
libpanel-applet-2.so.0()(64bit)  
libpango-1.0.so.0()(64bit)  
libpangocairo-1.0.so.0()(64bit)  
libpangoft2-1.0.so.0()(64bit)  
libpopt.so.0()(64bit)  
libpthread.so.0()(64bit)  
librt.so.1()(64bit)  
remmina >= 0.7.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1


+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ scriptlets sane
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
- No %docs section
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
- I could not locate desktop (.desktop) files

Additional Comments:-
* The upstream seems to have deleted older version and released newer version of upstream tarball. Can you update your Specfile and SRPMS
Comment 2 Christoph Wickert 2010-02-24 14:53:47 EST
(In reply to comment #1)
>  rpmlint OUTPUT on gnome-applet-remmina-0.7.1-1.fc13.src.rpm:
> gnome-applet-remmina.src: W: spelling-error %description -l en_US travellers ->
> travelers, traveler, travelogues

fixed

> gnome-applet-remmina.src: W: spelling-error %description -l en_US netbooks ->
> net books, net-books, pocketbooks

bogus warning, ignored

> gnome-applet-remmina.x86_64: W: incoherent-version-in-changelog 0.7.1
> ['0.7.1-1.fc13', '0.7.1-1']

fixed

> - No %docs section

there is a %doc section:
%doc AUTHORS ChangeLog COPYING README

> - I could not locate desktop (.desktop) files

panel applets cannot be started from the menu, they have an entry in the 'Add to panel' dialog.

New files:
http://cwickert.fedorapeople.org/review/gnome-applet-remmina.spec
http://cwickert.fedorapeople.org/review/gnome-applet-remmina-0.7.2-1.fc14.src.rpm
Comment 3 Naveen Kumar 2010-02-25 01:30:12 EST
(In reply to comment #2)
> (In reply to comment #1)
> >  rpmlint OUTPUT on gnome-applet-remmina-0.7.1-1.fc13.src.rpm:
> > gnome-applet-remmina.src: W: spelling-error %description -l en_US travellers ->
> > travelers, traveler, travelogues
> 
> fixed
> 
yep, thanks

> > gnome-applet-remmina.src: W: spelling-error %description -l en_US netbooks ->
> > net books, net-books, pocketbooks
> 
> bogus warning, ignored
> 
> > gnome-applet-remmina.x86_64: W: incoherent-version-in-changelog 0.7.1
> > ['0.7.1-1.fc13', '0.7.1-1']
> 
> fixed
>

yep, thanks 
> > - No %docs section
> 
> there is a %doc section:
> %doc AUTHORS ChangeLog COPYING README
> 

OOPS! Sorry, Yes there is a %doc section.

> > - I could not locate desktop (.desktop) files
> 
> panel applets cannot be started from the menu, they have an entry in the 'Add
> to panel' dialog.
>

Yep, thanks for the clarification
Comment 4 Christoph Wickert 2010-05-10 18:29:50 EDT
*** Bug 590901 has been marked as a duplicate of this bug. ***
Comment 5 Marcus Alves Grando 2010-05-13 11:58:39 EDT
Guys, I'd like to see this in fedora repo. All review are done? What's next?
Comment 6 Christoph Wickert 2010-05-13 13:18:11 EDT
Updated to 0.7.3:
http://cwickert.fedorapeople.org/review/gnome-applet-remmina.spec
http://cwickert.fedorapeople.org/review/gnome-applet-remmina-0.7.3-1.fc14.src.rpm

Please somebody review this package. Naveen was already kind enough to perform a detailed review, now we just need somebody to approve the package.
Comment 7 Dominic Hopf 2010-05-13 16:58:52 EDT
I will do the formal review.
Comment 8 Dominic Hopf 2010-05-13 17:59:53 EDT
$ rpmlint gnome-applet-remmina.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint gnome-applet-remmina-0.7.3-1.fc14.src.rpm
gnome-applet-remmina.src: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning can be ignored. Netbook is a common term.

$ rpmlint gnome-applet-remmina-0.7.3-1.fc12.x86_64.rpm gnome-applet-remmina-debuginfo-0.7.3-1.fc12.x86_64.rpm
gnome-applet-remmina.x86_64: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Specfile name matches %{name}.spec
 [x] Package seems to meet Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
     supported architecture.
     Tested on: Fedora 12/x86_64
 [x] Rpmlint output:
     source RPM: see above
     binary RPM: see above
 [x] Package is not relocatable.
 [x] License in specfile matches actual License and meets Licensing Guidelines
     License: GPLv2+
 [x] License file is included in %doc.
 [x] Specfile is legible and written in AE
 [x] Sourcefile in the Package is the same as provided in the mentioned Source
     SHA1SUM of Source: 6bbbe59b8fe02b851e126526c385be7c8989ba79
 [x] Package compiles successfully
 [x] All build dependencies are listed in BuildRequires
 [x] Specfile handles locales properly
 [-] ldconfig called in %post and %postun if required
 [-] Package owns directorys it creates
 [-] Package requires other packages for directories it uses.
 [x] Package does not list a file more than once in the %files listing
 [x] %files section includes %defattr and permissions are set properly
 [x] %clean section is there and contains rm -rf $RPM_BUILD_ROOT
 [x] Macros are consistently used
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage
 [x] Program runs properly without files listed in %doc
 [-] Header files are in a -devel package
 [-] Static libraries are in a -static package
 [-] Package requires pkgconfig if .pc files are present
 [-] .so-files are put into a -devel subpackage
 [-] Subpackages include fully versioned dependency for the base package
 [-] Any libtool archives (*.la) are removed
 [-] contains desktop file (%{name}.desktop) if it is a GUI application
 [x] Package does not own files or directories owned by other packages.
 [x] $RPM_BUILD_ROOT is removed at beginning of %install
 [-] Filenames are encoded in UTF-8

=== SUGGESTED ITEMS ===
 [x] Package contains latest upstream version
 [x] Package does not include license text files separate from upstream.
 [-] non-English translations for description and summary
 [x] Package builds in mock
     Tested on: F12/x86_64
 [x] Package should compile and build into binary RPMs on all supported architectures.
     tested build with koji
 [x] Program runs
 [-] Scriptlets must be sane, if used.
 [-] pkgconfig (*.pc) files are placed in a -devel package
 [-] require package providing a file instead of the file itself
     no files outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin are required

The package looks good, I could not find any issues. Thanks very much Naveen
for your informal review, seems you already discovered any issue and
everything is fixed. The package is APPROVED.
Comment 9 Christoph Wickert 2010-05-13 18:23:57 EDT
New Package CVS Request
=======================
Package Name: gnome-applet-remmina
Short Description: GNOME panel applet for Remmina remote desktop client
Owners: cwickert
Branches: F-11 F-12 F-13
InitialCC:
Comment 10 Dennis Gilmore 2010-05-13 18:27:05 EDT
CVS Done
Comment 11 Fedora Update System 2010-05-14 03:53:55 EDT
gnome-applet-remmina-0.7.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-applet-remmina-0.7.3-1.fc13
Comment 12 Fedora Update System 2010-05-14 03:54:04 EDT
gnome-applet-remmina-0.7.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gnome-applet-remmina-0.7.3-1.fc12
Comment 13 Fedora Update System 2010-05-14 03:54:11 EDT
gnome-applet-remmina-0.7.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnome-applet-remmina-0.7.3-1.fc11
Comment 14 Fedora Update System 2010-05-15 16:16:56 EDT
gnome-applet-remmina-0.7.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applet-remmina'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-applet-remmina-0.7.3-1.fc11
Comment 15 Fedora Update System 2010-05-15 16:34:17 EDT
gnome-applet-remmina-0.7.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applet-remmina'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-applet-remmina-0.7.3-1.fc13
Comment 16 Fedora Update System 2010-05-15 16:40:57 EDT
gnome-applet-remmina-0.7.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applet-remmina'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-applet-remmina-0.7.3-1.fc12
Comment 17 Fedora Update System 2010-05-21 21:52:59 EDT
gnome-applet-remmina-0.7.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-05-26 17:42:59 EDT
gnome-applet-remmina-0.7.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-05-26 17:50:27 EDT
gnome-applet-remmina-0.7.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.